# Created by pyp2rpm-3.3.3
%global pypi_name zopfli
%global __pypi_default_extension zip

Name:           python-%{pypi_name}
Version:        0.2.1
Release:        %mkrel 1
Summary:        Zopfli module for python
Group:          Development/Python
License:        ASL
URL:            https://github.com/obp/py-zopfli
Source0:        %{pypi_source}
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(pytest)

%description
pyzopfli is a straight forward wrapper around zopfli's ZlibCompress method.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
pyzopfli is a straight forward wrapper around zopfli's ZlibCompress method.

%prep
%autosetup -n %{pypi_name}-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files zopfli

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%{python3_sitearch}/%{pypi_name}


%changelog
* Thu Sep 08 2022 neoclust <neoclust> 0.2.1-1.mga9
+ Revision: 1885772
- New version  0.2.1

* Fri Mar 18 2022 umeabot <umeabot> 0.1.9-3.mga9
+ Revision: 1799036
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 joequant <joequant> 0.1.9-2.mga9
+ Revision: 1774661
- update to python 3.10

* Fri Feb 04 2022 mrambo3501 <mrambo3501> 0.1.9-1.mga9
+ Revision: 1771530
- BR python3dist(setuptools-scm)
- BR python3dist(wheel) python3dist(pip)
- version 0.1.9

* Wed Sep 01 2021 wally <wally> 0.1.8-1.mga9
+ Revision: 1743937
- new version 0.1.8

* Sun Mar 21 2021 tv <tv> 0.1.7-3.mga9
+ Revision: 1706551
- Rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 0.1.7-2.mga8
+ Revision: 1541964
- Mageia 8 Mass Rebuild

* Fri Jan 03 2020 wally <wally> 0.1.7-1.mga8
+ Revision: 1475772
- imported package python-zopfli

